Subject: Re: [dispatch] Plain text JSON digital signatures

From: Bret Jordan <[email-masked]>
Date: Tue, 27 Apr 2021 11:42:26 -0600

Hi Brian,

Yes, there are are lot of people and organizations that are looking for a solution like this. There are several that I know of that are already looking to adopt this or something similar in production. I also know Anders has been doing a lot of work in the financial sector using this for payment processing. What people need to realize is that plain text signatures and plain text JSON is a fundamental requirement. The proof of concept code I have written so far shows that this works, and works really well. 

It is great to hear that you would support this work, either through a PS or via the ISE. Please let us know if you have any feedback on the ID. 

Thanks
Bret

> On Apr 27, 2021, at 9:47 AM, Brian Rosen <[email-masked]> wrote:
> 
> I am very much interested in this work.  My preference would be for a Proposed Standard.  There was a lot of opposition to the idea previously, so it may be that ISE is all we can get, but I would be willing to work towards PS, either in a new, short lived work group or as part of another work group.  
> 
> Brian
> 
>> On Apr 27, 2021, at 11:27 AM, Bret Jordan <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Dear Dispatch,
>> 
>> Anders Rundgren, Samuel, Erdtman, and I have been working on an ID for your consideration. This document describes how to use JWS and JCS to create plain-text JSON signatures. The abstract reads as follows:
>> 
>> This document describes a method for extending the scope of the JSON Web Signature (JWS) standard, called JWS/CT.  By combining the detached mode of JWS with the JSON Canonicalization Scheme (JCS), JWS/CT enables JSON objects to remain in the JSON format after being signed (aka "Clear Text" signing).  In addition to supporting a consistent data format, this arrangement also simplifies documentation, debugging, and logging.  The ability to embed signed JSON objects in other JSON objects, makes the use of counter-signatures straightforward.
>> 
>> The data tracker page for this: https://datatracker.ietf.org/doc/draft-jordan-jws-ct/ <https://datatracker.ietf.org/doc/draft-jordan-jws-ct/>
>> 
>> As you know there are large ecosystems that needs digital signatures for plain text JSON data, meaning where the JSON data is not base64 encoded. This ID provides a solution using existing IETF RFCs to make this work. Further, this work looks to be adopted by many groups and organizations from financial services, threat intelligence, and incident response. 
>> 
>> We are not sure what direction would be best for this work in the IETF, should we send to the ISE for publication or do you want to create a working group. Ultimately there is a lot of work that could be done in this space to meet the needs of the market. We would be happy with releasing these IDs for ISE publication, or for creating a working group to move them forward. It is just important to note that the market is in desperate need of these solutions. If you want to take it for a spin, there is a JWS/CT playground at: https://mobilepki.org/jws-ct <https://mobilepki.org/jws-ct>
>> 
>> Thanks
>> Bret
>> 
>> -- 
>> 
>> Sent from my TI-99/4A
>> 
>> PGP Fingerprint: 63B4 FC53 680A 6B7D 1447  F2C0 74F8 ACAE 7415 0050
>> _______________________________________________
>> dispatch mailing list
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/dispatch
>